# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	nagiosgrapher
#	nagiosgrapher/files
#	nagiosgrapher/files/patch-configure.ac
#	nagiosgrapher/files/nagiosgrapher.sh.in
#	nagiosgrapher/files/patch-Makefile.in
#	nagiosgrapher/files/patch-config.layout
#	nagiosgrapher/files/patch-configure.ac~
#	nagiosgrapher/Makefile
#	nagiosgrapher/distinfo
#	nagiosgrapher/pkg-descr
#	nagiosgrapher/pkg-plist
#
echo c - nagiosgrapher
mkdir -p nagiosgrapher > /dev/null 2>&1
echo c - nagiosgrapher/files
mkdir -p nagiosgrapher/files > /dev/null 2>&1
echo x - nagiosgrapher/files/patch-configure.ac
sed 's/^X//' >nagiosgrapher/files/patch-configure.ac << 'END-of-nagiosgrapher/files/patch-configure.ac'
X--- configure.ac.orig	Wed Sep  5 16:04:12 2007
X+++ configure.ac	Mon Oct  1 17:22:50 2007
X@@ -26,9 +26,9 @@
X AC_ARG_WITH(layout,
X 	AC_HELP_STRING([--with-layout=LAYOUT],
X 		[Use a specific directory layout (Default: default)]),
X-	LAYOUT=$withval,LAYOUT=$1)
X+	LAYOUT=$withval,,LAYOUT=default)
X 
X-if test "x$LAYOUT" = "x" -o "x$1" = "x"; then
X+if test "x$LAYOUT" = "x"; then
X 	LAYOUT="default"
X 	layout="default"
X else
X@@ -36,7 +36,7 @@
X fi
X 
X NG_LAYOUT($srcdir/config.layout, $LAYOUT)
X-AC_MSG_CHECKING(for layout)
X+AC_MSG_CHECKING(for choosen layout)
X 
X if test "x$ng_layout_name" = "xno"; then
X 	if test "x$LAYOUT" = "xno"; then
X@@ -122,7 +121,7 @@
X 	NG_SUBST_EXPANDED_ARG(logrotate_conf_dir)
X ])
X 
X-
X+NG_ENABLE_LAYOUT
X 
X # DEFINES {{{
X 
X@@ -150,33 +149,6 @@
X 	]
X )
X 
X-# try to determine distribution of target system
X-AC_DEFUN([NG_DETERMINE_DISTRO],
X-	[
X-		distFiles=(/etc/annvix-release /etc/arch-release /etc/arklinux-release /etc/aurox-release /etc/blackcat-release /etc/cobalt-release /etc/conectiva-release /etc/debian_version /etc/fedora-release /etc/gentoo-release /etc/immunix-release /etc/knoppix_version /etc/lfs-release /etc/linuxppc-release /etc/mandrake-release /etc/mandriva-release /etc/mklinux-release /etc/nld-release /etc/pld-release /etc/redhat-release /etc/slackware-version /etc/e-smith-release /etc/release /etc/sun-release /etc/SuSE-release /etc/sles-release /etc/tinysofa-release /etc/turbolinux-release /etc/lsb-release /etc/ultrapenguin-release /etc/UnitedLinux-release /etc/va-release /etc/yellowdog-release)
X-		distNames=(annvix arch_linux arklinux aurox_linux blackcat cobalt conectiva debian fedora_core gentoo_linux immunix knoppix linux-from-scratch linux-ppc mandrake mandriva mklinux novell_linux_desktop pld_linux red_hat slackware sme_server solaris_sparc sun_jds suse_linux suse_linux_es9 tiny_sofa turbolinux ubuntu_linux ultrapenguin unitedlinux va-linux yellow_dog)
X-		cnt=0
X-		found=
X-		AC_MSG_CHECKING([distribution])
X-		for currFile in ${distFiles@<:@*@:>@}; do
X-			if test -e $currFile; then
X-				fName=${distNames@<:@$cnt@:>@}
X-				#version=`cat $currFile`
X-				found="found $fName"
X-				$1=$fName
X-				#$2=$version
X-				break
X-			fi
X-			((cnt++))
X-		done
X-		if test -z "$found"; then
X-			found="nothing found"
X-			$2=default
X-		fi
X-		AC_MSG_RESULT([$found])
X-	]
X-)
X-
X # check for init script and install
X # $1 : path and prefix to init file
X # $2 : suffix of init file
X@@ -226,7 +198,7 @@
X dnl
X AC_ARG_WITH(distro,
X 	AC_HELP_STRING([--with-distro=DISTRO], [distribution of the system]),
X-	DISTRO_NAME=$withval, NG_DETERMINE_DISTRO([DISTRO_NAME])
X+	DISTRO_NAME=$withval
X )
X # AC_SUBST(DISTRO_NAME)
X 
END-of-nagiosgrapher/files/patch-configure.ac
echo x - nagiosgrapher/files/nagiosgrapher.sh.in
sed 's/^X//' >nagiosgrapher/files/nagiosgrapher.sh.in << 'END-of-nagiosgrapher/files/nagiosgrapher.sh.in'
X#!/bin/sh
X#
X# $FreeBSD$
X#
X
X# PROVIDE: %%NAME%%
X# REQUIRE: NETWORKING SERVERS
X# BEFORE:  DAEMON
X# KEYWORD: shutdown
X
X# Add the following line to /etc/rc.conf to enable `%%NAME%%':
X#
X#%%NAME%%_enable="YES"
X
X. "%%RC_SUBR%%"
X
Xname="%%NAME%%"
X: ${%%NAME%%_user="nagios"}
Xrcvar=`set_rcvar`
X
Xpidfile="/var/spool/nagios/nagios_grapher/$name.pid"
X
Xcommand="%%PREFIX%%/libexec/nagios/contrib/$name"
Xcommand_interpreter="/usr/bin/perl"
X
X# read configuration and set defaults
Xload_rc_config $name
X: ${%%NAME%%_enable="NO"}
X
Xrun_rc_command "$1"
END-of-nagiosgrapher/files/nagiosgrapher.sh.in
echo x - nagiosgrapher/files/patch-Makefile.in
sed 's/^X//' >nagiosgrapher/files/patch-Makefile.in << 'END-of-nagiosgrapher/files/patch-Makefile.in'
X--- Makefile.in.orig	Wed Sep  5 16:04:12 2007
X+++ Makefile.in	Fri Sep 21 18:09:50 2007
X@@ -26,14 +26,12 @@
X NG_SRVEXT_FILE			= @NG_SRVEXT_FILE@
X NG_SRVEXT_DIR			= @NG_SRVEXT_DIR@
X 
X-DESTDIR				= 
X+NG_CGI_GRAPH			= @NAGIOS_FOLDER_CGI@/graphs.cgi
X+NG_CGI_RRD			= @NAGIOS_FOLDER_CGI@/rrd2-graph.cgi
X+NG_CGI_SYSTEM			= @NAGIOS_FOLDER_CGI@/rrd2-system.cgi
X 
X-NG_CGI_GRAPH			= $(DESTDIR)/sbin/graphs.cgi
X-NG_CGI_RRD			= $(DESTDIR)/sbin/rrd2-graph.cgi
X-NG_CGI_SYSTEM			= $(DESTDIR)/sbin/rrd2-system.cgi
X-
X-NG_BIN_FIFO			= $(DESTDIR)/contrib/fifo_write/C/fifo_write.c
X-NG_BIN_UDPECHO			= $(DESTDIR)/contrib/udpecho/udpecho.c
X+NG_BIN_FIFO			= @NAGIOS_CONTRIBUTION@/fifo_write/C/fifo_write.c
X+NG_BIN_UDPECHO			= @NAGIOS_CONTRIBUTION@/udpecho/udpecho.c
X 
X NG_PERL_MOD			= $(DESTDIR)/lib/NagiosGrapher.pm
X NG_PERL_ALL			= $(DESTDIR)/lib
X@@ -66,7 +64,7 @@
X 
X default:
X 
X-install: dirs config-install cgi-install bin-compile bin-install perl-install logrotate-config init-script image-install logfile all-install-messages
X+install: dirs config-install cgi-install bin-compile bin-install perl-install image-install logfile all-install-messages
X 
X update: dirs cgi-install bin-compile bin-install perl-install init-script image-install update-messages
X 
X@@ -161,54 +159,51 @@
X 	@exit 1
X 
X dirs:
X-	mkdir -p $(DESTDIR)/$(NG_SRVEXT_DIR)
X-	chown -R $(NAGIOS_PROC_USER) $(DESTDIR)/$(NG_SRVEXT_DIR)
X-	mkdir -p $(DESTDIR)/$(NG_RRD)
X-	chown -R $(NAGIOS_PROC_USER) $(DESTDIR)/$(NG_RRD)
X-	mkdir -p $(DESTDIR)/$(NG_INIT_SCRIPT_DIR)
X-	mkdir -p `dirname $(DESTDIR)/$(NG_LOGFILE)` 
X-	mkdir -p $(DESTDIR)/$(NG_DAEMON)
X-	mkdir -p $(DESTDIR)/$(NG_RRD)
X+	mkdir -p $(DESTDIR)$(NG_SRVEXT_DIR)
X+	chown -R $(NAGIOS_PROC_USER) $(DESTDIR)$(NG_SRVEXT_DIR)
X+	mkdir -p $(DESTDIR)$(NG_RRD)
X+	chown -R $(NAGIOS_PROC_USER) $(DESTDIR)$(NG_RRD)
X+	mkdir -p $(PREFIX)/etc/rc.d
X+	mkdir -p `dirname $(DESTDIR)$(NG_LOGFILE)`
X+	mkdir -p $(DESTDIR)$(NG_DAEMON)
X+	chown -R $(NAGIOS_PROC_USER):$(NAGIOS_PROC_GROUP) $(DESTDIR)$(NG_DAEMON)
X+	mkdir -p $(DESTDIR)$(NG_RRD)
X 	mkdir -p $(DESTDIR)/$(NAGIOS_CONTRIBUTION)
X-	mkdir -p $(DESTDIR)/$(NG_LOGROTATE_CONF_DIR)
X 
X logfile:
X-	touch $(DESTDIR)/$(NG_LOGFILE)
X-	chown $(NAGIOS_PROC_USER) $(DESTDIR)/$(NG_LOGFILE)
X+	touch $(DESTDIR)$(NG_LOGFILE)
X+	chown $(NAGIOS_PROC_USER) $(DESTDIR)$(NG_LOGFILE)
X 
X config-install:
X-	mkdir -p $(DESTDIR)/$(NG_CONFIG)
X-	mkdir -p $(DESTDIR)/$(NG_CONFIG_SUB)
X-	mkdir -p $(DESTDIR)/$(NG_CONFIG_SUB)/templates/extra
X-	mkdir -p $(DESTDIR)/$(NG_CONFIG_SUB)/templates/standard
X-
X-	cp -r cfg/ng*.ncfg $(DESTDIR)/$(NG_CONFIG)
X-	cp -r cfg/nmg*.ncfg $(DESTDIR)/$(NG_CONFIG_SUB)
X-	cp -r cfg/templates/extra/*.ncfg_disabled $(DESTDIR)/$(NG_CONFIG_SUB)/templates/extra
X-	cp -r cfg/templates/standard/*.ncfg_disabled $(DESTDIR)/$(NG_CONFIG_SUB)/templates/standard
X-
X-	chown -R $(NAGIOS_PROC_USER) $(DESTDIR)/$(NG_CONFIG)/*.ncfg*
X-	chgrp -R $(NAGIOS_PROC_GROUP) $(DESTDIR)/$(NG_CONFIG)/*.ncfg*
X-
X+	mkdir -p $(DESTDIR)$(NG_CONFIG)
X+	mkdir -p $(DESTDIR)$(NG_CONFIG_SUB)
X+	mkdir -p $(DESTDIR)$(NG_CONFIG_SUB)/templates/extra
X+	mkdir -p $(DESTDIR)$(NG_CONFIG_SUB)/templates/standard
X+	rm cfg/ngraph.ncfg.in
X+	mv cfg/ngraph.ncfg cfg/ngraph.ncfg-sample
X+	rm cfg/logrotate/nagios_grapher.in
X+	cp -r cfg/* $(DESTDIR)$(NG_CONFIG)
X+	
X+	chown -R $(NAGIOS_PROC_USER):$(NAGIOS_PROC_GROUP) $(DESTDIR)$(NG_CONFIG)/ngraph.ncfg-sample
X 
X cgi-install:
X-	mkdir -p $(DESTDIR)/$(NAGIOS_FOLDER_CGI)
X-	cp sbin/*.cgi $(DESTDIR)/$(NAGIOS_FOLDER_CGI)
X-	chown -R $(NAGIOS_PROC_USER) $(DESTDIR)/$(NAGIOS_FOLDER_CGI)
X-	chgrp -R $(APACHE_GROUP) $(DESTDIR)/$(NAGIOS_FOLDER_CGI)
X-	chmod -R 0755 $(DESTDIR)/$(NAGIOS_FOLDER_CGI)
X+	mkdir -p $(DESTDIR)$(NAGIOS_FOLDER_CGI)
X+	cp sbin/*.cgi $(DESTDIR)$(NAGIOS_FOLDER_CGI)
X+	chown -R $(NAGIOS_PROC_USER):$(APACHE_GROUP) $(DESTDIR)$(NAGIOS_FOLDER_CGI)
X+	chmod -R 0755 $(DESTDIR)$(NAGIOS_FOLDER_CGI)
X 
X bin-install:
X-	mkdir -p $(DESTDIR)/$(NAGIOS_CONTRIBUTION)
X+	mkdir -p $(DESTDIR)$(NAGIOS_CONTRIBUTION)
X 	cp bin/collect2.pl \
X 		bin/fifo_write.pl \
X  		contrib/fifo_write/C/fifo_write \
X  		contrib/udpecho/udpecho \
X-		$(DESTDIR)/$(NAGIOS_CONTRIBUTION)
X+		$(DESTDIR)$(NAGIOS_CONTRIBUTION)
X+	ln -sf $(DESTDIR)$(NAGIOS_CONTRIBUTION)/collect2.pl $(DESTDIR)$(NAGIOS_CONTRIBUTION)/nagiosgrapher
X 
X-	chown -R $(NAGIOS_PROC_USER) $(DESTDIR)/$(NAGIOS_CONTRIBUTION)
X-	chgrp -R $(NAGIOS_PROC_GROUP) $(DESTDIR)/$(NAGIOS_CONTRIBUTION)
X-	chmod -R 0755 $(DESTDIR)/$(NAGIOS_CONTRIBUTION)
X+	chown -R $(NAGIOS_PROC_USER) $(DESTDIR)$(NAGIOS_CONTRIBUTION)
X+	chgrp -R $(NAGIOS_PROC_GROUP) $(DESTDIR)$(NAGIOS_CONTRIBUTION)
X+	chmod -R 0755 $(DESTDIR)$(NAGIOS_CONTRIBUTION)
X 
X bin-compile:
X 	gcc contrib/fifo_write/C/fifo_write.c -o \
X@@ -218,39 +213,21 @@
X 		contrib/udpecho/udpecho
X 
X perl-install:
X-	mkdir -p $(DESTDIR)/$(PERL_INC)/NagiosGrapher/Hooks
X+	mkdir -p $(DESTDIR)$(PERL_INC)/NagiosGrapher/Hooks
X 
X-	cp lib/NagiosGrapher.pm $(DESTDIR)/$(PERL_INC)
X-	cp lib/NagiosGrapher/*.pm $(DESTDIR)/$(PERL_INC)/NagiosGrapher
X-	cp lib/NagiosGrapher/Hooks/*.pm $(DESTDIR)/$(PERL_INC)/NagiosGrapher/Hooks
X-
X-	chown -R $(NAGIOS_PROC_USER) $(DESTDIR)/$(PERL_INC)
X-	chgrp -R $(NAGIOS_PROC_GROUP) $(DESTDIR)/$(PERL_INC)
X-
X-logrotate-config:
X-	cp cfg/logrotate/nagios_grapher $(DESTDIR)/${NG_LOGROTATE_CONF_DIR}/
X-	chown root $(DESTDIR)/$(NG_LOGROTATE_CONF_DIR)/nagios_grapher
X-	chgrp root $(DESTDIR)/$(NG_LOGROTATE_CONF_DIR)/nagios_grapher
X-	chmod 0644 $(DESTDIR)/$(NG_LOGROTATE_CONF_DIR)/nagios_grapher
X-
X-init-script:
X-	cp nagios_grapher $(DESTDIR)/$(NG_INIT_SCRIPT_DIR)
X-	chmod 0755 $(DESTDIR)/$(NG_INIT_SCRIPT_DIR)/nagios_grapher
X+	cp lib/NagiosGrapher.pm $(DESTDIR)$(PERL_INC)
X+	cp lib/NagiosGrapher/*.pm $(DESTDIR)$(PERL_INC)/NagiosGrapher
X+	cp lib/NagiosGrapher/Hooks/*.pm $(DESTDIR)$(PERL_INC)/NagiosGrapher/Hooks
X 
X image-install:
X-	mkdir -p $(DESTDIR)/$(NAGIOS_IMAGES)
X-	mkdir -p $(DESTDIR)/$(NAGIOS_IMAGES_LOGOS)
X+	mkdir -p $(DESTDIR)$(NAGIOS_IMAGES)
X+	mkdir -p $(DESTDIR)$(NAGIOS_IMAGES_LOGOS)
X 
X-	cp *.png $(DESTDIR)/$(NAGIOS_IMAGES)
X-	cp *.png $(DESTDIR)/$(NAGIOS_IMAGES_LOGOS)
X+	cp *.png $(DESTDIR)$(NAGIOS_IMAGES)
X+	cp *.png $(DESTDIR)$(NAGIOS_IMAGES_LOGOS)
X 
X fixdeps-force:
X 	$(PERL) ./tools/testdeps.pl fix;;
X 
X testdeps:
X 	$(PERL) ./tools/testdeps.pl
X-
X-reconfigure:
X-	autoconf
X-	chmod 0755 ./configure
X-	./configure
END-of-nagiosgrapher/files/patch-Makefile.in
echo x - nagiosgrapher/files/patch-config.layout
sed 's/^X//' >nagiosgrapher/files/patch-config.layout << 'END-of-nagiosgrapher/files/patch-config.layout'
X--- config.layout.orig	Wed Sep  5 16:04:12 2007
X+++ config.layout	Fri Sep 21 16:00:00 2007
X@@ -205,3 +205,30 @@
X 	init_script_dir:		/etc/init.d
X 	logrotate_conf_dir:		/etc/logrotate.d
X </Layout>
X+
X+# layout for FreeBSD port install
X+<Layout FreeBSD>
X+	prefix: 			${PREFIX}
X+	nagios_config: 			${prefix}/etc/nagios/nagios.cfg
X+	nagios_config_cgi: 		${prefix}/etc/nagios/cgi.cfg
X+	nagios_images: 			${prefix}/www/nagios/images
X+	nagios_images_logos: 		${nagios_images}/logos
X+	nagios_folder_cgi: 		${prefix}/www/nagios/cgi-bin
X+	perl_inc: 			${prefix}/lib/perl5/site_perl/5.8.8
X+	nagios_contribution: 		${prefix}/libexec/nagios/contrib
X+	ng_config: 			${prefix}/etc/nagios
X+	ng_config_sub: 			${ng_config}/ngraph.d
X+	ng_daemon: 			/var/spool/nagios/nagios_grapher
X+	ng_srvext_file: 		${prefix}/etc/nagios/serviceextinfo.cfg
X+	ng_srvext_dir: 			${prefix}/etc/nagios/serviceext
X+	ng_interface_pipe: 		/var/spool/nagios/rw/ngraph.pipe
X+	ng_logfile: 			/var/spool/nagios/ngraph.log
X+	ng_rrd: 			/var/spool/nagios/rrd
X+	ng_rrd_font:			${prefix}share/rrdtool/fonts/DejaVuSansMono-Roman.ttf
X+	ng_cgi:				/nagios/cgi-bin
X+	ng_logos:			/nagios/images/logos
X+	ng_pid_file:			${ng_daemon}/nagiosgrapher.pid
X+	init_script_dir:		${prefix}/etc/rc.d
X+	logrotate_conf_dir:		${prefix}/etc/logrotate.d
X+</Layout>
X+
END-of-nagiosgrapher/files/patch-config.layout
echo x - nagiosgrapher/files/patch-configure.ac~
sed 's/^X//' >nagiosgrapher/files/patch-configure.ac~ << 'END-of-nagiosgrapher/files/patch-configure.ac~'
X--- configure.ac.orig	Wed Sep  5 16:04:12 2007
X+++ configure.ac	Mon Oct  1 17:22:50 2007
X@@ -26,9 +26,9 @@
X AC_ARG_WITH(layout,
X 	AC_HELP_STRING([--with-layout=LAYOUT],
X 		[Use a specific directory layout (Default: default)]),
X-	LAYOUT=$withval,LAYOUT=$1)
X+	LAYOUT=$withval,,LAYOUT=default)
X 
X-if test "x$LAYOUT" = "x" -o "x$1" = "x"; then
X+if test "x$LAYOUT" = "x"; then
X 	LAYOUT="default"
X 	layout="default"
X else
X@@ -36,7 +36,7 @@
X fi
X 
X NG_LAYOUT($srcdir/config.layout, $LAYOUT)
X-AC_MSG_CHECKING(for layout)
X+AC_MSG_CHECKING(for choosen layout)
X 
X if test "x$ng_layout_name" = "xno"; then
X 	if test "x$LAYOUT" = "xno"; then
X@@ -96,7 +96,6 @@
X 			ng_layout_name=no
X 		fi
X 		#rm $pldconf
X-		fi
X 	fi
X 	NG_SUBST_EXPANDED_ARG(prefix)
X 	NG_SUBST_EXPANDED_ARG(nagios_config)
X@@ -122,7 +121,7 @@
X 	NG_SUBST_EXPANDED_ARG(logrotate_conf_dir)
X ])
X 
X-
X+NG_ENABLE_LAYOUT
X 
X # DEFINES {{{
X 
X@@ -150,33 +149,6 @@
X 	]
X )
X 
X-# try to determine distribution of target system
X-AC_DEFUN([NG_DETERMINE_DISTRO],
X-	[
X-		distFiles=(/etc/annvix-release /etc/arch-release /etc/arklinux-release /etc/aurox-release /etc/blackcat-release /etc/cobalt-release /etc/conectiva-release /etc/debian_version /etc/fedora-release /etc/gentoo-release /etc/immunix-release /etc/knoppix_version /etc/lfs-release /etc/linuxppc-release /etc/mandrake-release /etc/mandriva-release /etc/mklinux-release /etc/nld-release /etc/pld-release /etc/redhat-release /etc/slackware-version /etc/e-smith-release /etc/release /etc/sun-release /etc/SuSE-release /etc/sles-release /etc/tinysofa-release /etc/turbolinux-release /etc/lsb-release /etc/ultrapenguin-release /etc/UnitedLinux-release /etc/va-release /etc/yellowdog-release)
X-		distNames=(annvix arch_linux arklinux aurox_linux blackcat cobalt conectiva debian fedora_core gentoo_linux immunix knoppix linux-from-scratch linux-ppc mandrake mandriva mklinux novell_linux_desktop pld_linux red_hat slackware sme_server solaris_sparc sun_jds suse_linux suse_linux_es9 tiny_sofa turbolinux ubuntu_linux ultrapenguin unitedlinux va-linux yellow_dog)
X-		cnt=0
X-		found=
X-		AC_MSG_CHECKING([distribution])
X-		for currFile in ${distFiles@<:@*@:>@}; do
X-			if test -e $currFile; then
X-				fName=${distNames@<:@$cnt@:>@}
X-				#version=`cat $currFile`
X-				found="found $fName"
X-				$1=$fName
X-				#$2=$version
X-				break
X-			fi
X-			((cnt++))
X-		done
X-		if test -z "$found"; then
X-			found="nothing found"
X-			$2=default
X-		fi
X-		AC_MSG_RESULT([$found])
X-	]
X-)
X-
X # check for init script and install
X # $1 : path and prefix to init file
X # $2 : suffix of init file
X@@ -226,7 +198,7 @@
X dnl
X AC_ARG_WITH(distro,
X 	AC_HELP_STRING([--with-distro=DISTRO], [distribution of the system]),
X-	DISTRO_NAME=$withval, NG_DETERMINE_DISTRO([DISTRO_NAME])
X+	DISTRO_NAME=$withval
X )
X # AC_SUBST(DISTRO_NAME)
X 
END-of-nagiosgrapher/files/patch-configure.ac~
echo x - nagiosgrapher/Makefile
sed 's/^X//' >nagiosgrapher/Makefile << 'END-of-nagiosgrapher/Makefile'
X# New ports collection makefile for:	nagiosgrapher
X# Date created:				06 July 2007
X# Whom:					Stefan Lambrev <cheffo@FreeBSD-BG.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	nagiosgrapher
XPORTVERSION=	1.6.1.r5.0.3
XCATEGORIES=	net-mgmt
XMASTER_SITES=  http://www.nagiosexchange.org/typo3conf/ext/net_nagext/pi1/download.php?file=uploads/tx_netnagext_pi1/NagiosGrapher/ \
X	SF
XDISTNAME=	NagiosGrapher-1.6.1-rc5-0.3
X
XMAINTAINER=	cheffo@FreeBSD-BG.org
XCOMMENT=	NagiosGrapher collects the output of NagiosPlugins & generates graphs
X
XBUILD_DEPENDS=  \
X	${SITE_PERL}/CGI.pm:${PORTSDIR}/www/p5-CGI.pm \
X	${SITE_PERL}/${PERL_ARCH}/GD.pm:${PORTSDIR}/graphics/p5-GD \
X	${SITE_PERL}/RRDp.pm:${PORTSDIR}/databases/rrdtool \
X	p5-Time-HiRes>=0:${PORTSDIR}/devel/p5-Time-HiRes \
X	${SITE_PERL}/${PERL_ARCH}/Image/Magick.pm:${PORTSDIR}/graphics/ImageMagick \
X	${SITE_PERL}/URI/Escape.pm:${PORTSDIR}/net/p5-URI \
X	${SITE_PERL}/Calendar/Simple.pm:${PORTSDIR}/devel/p5-Calendar-Simple \
X	${LOCALBASE}/bin/nagios:${PORTSDIR}/net-mgmt/nagios
XRUN_DEPENDS=    ${BUILD_DEPENDS}
X
XUSE_RC_SUBR=	${PORTNAME}.sh
X
XSUB_LIST=	NAME=${PORTNAME}
X
XUSE_AUTOTOOLS=autoconf:261
X
XPERL_MODULES=	${SITE_PERL}
X
XCONFIGURE_ARGS+= --with-layout=FreeBSD --with-ng-interface=pipe
X
X.include <bsd.port.mk>
END-of-nagiosgrapher/Makefile
echo x - nagiosgrapher/distinfo
sed 's/^X//' >nagiosgrapher/distinfo << 'END-of-nagiosgrapher/distinfo'
XMD5 (NagiosGrapher-1.6.1-rc5-0.3.tar.gz) = eb6623ba850946c076428ae96591ae64
XSHA256 (NagiosGrapher-1.6.1-rc5-0.3.tar.gz) = 718a62a88c5bf21fbf8e9373be11b693b6fd6c1975b1dc2314591b7acb05071e
XSIZE (NagiosGrapher-1.6.1-rc5-0.3.tar.gz) = 81719
END-of-nagiosgrapher/distinfo
echo x - nagiosgrapher/pkg-descr
sed 's/^X//' >nagiosgrapher/pkg-descr << 'END-of-nagiosgrapher/pkg-descr'
XThe "NETWAYS Nagios Grapher" is a Graphing system which uses templates to 
Xassign services to various data sources (RRDs). Thus it is possible to 
Xcreate a quantity of graphs using only a small configuration, keeping it 
Xeasy to manage. These templates are automatically applied to incoming 
Xdata, thus creating a new service in Nagios will automatically create the 
Xgraph once valid data is seen for that service. Correlations between 
Xdifferent graphs is also possible.
X
XWWW: http://www.nagiosexchange.org/NagiosGrapher.84.0.html
X
X- Stefan Lambrev <cheffo@FreeBSD-BG.org>
END-of-nagiosgrapher/pkg-descr
echo x - nagiosgrapher/pkg-plist
sed 's/^X//' >nagiosgrapher/pkg-plist << 'END-of-nagiosgrapher/pkg-plist'
Xetc/nagios/logrotate/nagios_grapher
Xetc/nagios/ngraph.ncfg-sample
Xetc/nagios/nmgraph.ncfg
Xetc/nagios/nmgraph.ncfg-sample
Xetc/nagios/templates/extra/check_bacula.ncfg_disabled
Xetc/nagios/templates/extra/check_gsm.ncfg_disabled
Xetc/nagios/templates/extra/check_hardware.ncfg_disabled
Xetc/nagios/templates/extra/check_request_tracker.ncfg_disabled
Xetc/nagios/templates/extra/check_snmp.ncfg_disabled
Xetc/nagios/templates/extra/check_spamassassin_effectiveness.ncfg_disabled
Xetc/nagios/templates/extra/check_weather.ncfg_disabled
Xetc/nagios/templates/extra/check_windows.ncfg_disabled
Xetc/nagios/templates/standard/check_disk.ncfg_disabled
Xetc/nagios/templates/standard/check_dns.ncfg_disabled
Xetc/nagios/templates/standard/check_ftp.ncfg_disabled
Xetc/nagios/templates/standard/check_http.ncfg_disabled
Xetc/nagios/templates/standard/check_imap.ncfg_disabled
Xetc/nagios/templates/standard/check_ldap.ncfg_disabled
Xetc/nagios/templates/standard/check_load.ncfg_disabled
Xetc/nagios/templates/standard/check_mailq.ncfg_disabled
Xetc/nagios/templates/standard/check_mysql.ncfg_disabled
Xetc/nagios/templates/standard/check_nagios.ncfg_disabled
Xetc/nagios/templates/standard/check_ntp.ncfg_disabled
Xetc/nagios/templates/standard/check_ping.ncfg_disabled
Xetc/nagios/templates/standard/check_pop.ncfg_disabled
Xetc/nagios/templates/standard/check_procs.ncfg_disabled
Xetc/nagios/templates/standard/check_smtp.ncfg_disabled
Xetc/nagios/templates/standard/check_swap.ncfg_disabled
Xetc/nagios/templates/standard/check_users.ncfg_disabled
Xlib/perl5/site_perl/5.8.8/NagiosGrapher.pm
Xlib/perl5/site_perl/5.8.8/NagiosGrapher/HTML.pm
Xlib/perl5/site_perl/5.8.8/NagiosGrapher/Hooks/Generic.pm
Xlib/perl5/site_perl/5.8.8/NagiosGrapher/Hooks/ImageGraphTest.pm
Xlib/perl5/site_perl/5.8.8/NagiosGrapher/Hooks/NG2MySQL.pm
Xlib/perl5/site_perl/5.8.8/NagiosGrapher/Hooks/RRDUpdateTest.pm
Xlib/perl5/site_perl/5.8.8/NagiosGrapher/Hooks/SrvExtTest.pm
Xlib/perl5/site_perl/5.8.8/NagiosGrapher/Hooks/SrvExtWriteHostextInfo.pm
Xlibexec/nagios/contrib/collect2.pl
Xlibexec/nagios/contrib/fifo_write
Xlibexec/nagios/contrib/fifo_write.pl
Xlibexec/nagios/contrib/nagiosgrapher
Xlibexec/nagios/contrib/udpecho
Xwww/nagios/cgi-bin/graphs.cgi
Xwww/nagios/cgi-bin/rrd2-graph.cgi
Xwww/nagios/cgi-bin/rrd2-system.cgi
Xwww/nagios/images/dot.png
Xwww/nagios/images/graph.png
Xwww/nagios/images/logos/dot.png
Xwww/nagios/images/logos/graph.png
X@dirrm www/nagios/images/logos
X@dirrm www/nagios/images
X@dirrm www/nagios/cgi-bin
X@dirrm www/nagios
X@dirrm libexec/nagios/contrib
X@dirrm libexec/nagios
X@dirrm lib/perl5/site_perl/5.8.8/NagiosGrapher/Hooks
X@dirrm lib/perl5/site_perl/5.8.8/NagiosGrapher
X@dirrm lib/perl5/site_perl/5.8.8
X@dirrm lib/perl5/site_perl
X@dirrm lib/perl5
X@dirrm etc/nagios/templates/standard
X@dirrm etc/nagios/templates/extra
X@dirrm etc/nagios/templates
X@dirrm etc/nagios/serviceext
X@dirrm etc/nagios/ngraph.d/templates/standard
X@dirrm etc/nagios/ngraph.d/templates/extra
X@dirrm etc/nagios/ngraph.d/templates
X@dirrm etc/nagios/ngraph.d
X@dirrm etc/nagios/logrotate
X@dirrm etc/nagios
END-of-nagiosgrapher/pkg-plist
exit

